Subject: Entomological Collection for Sale

From: [email-masked] (Audrey Tomkins)
Date: Thu, 16 Feb 1995 16:31:27

A friend wishes to sell her (deceased) father's collection of butterflies and 
moths (and their eggs, pupae, chrysalides etc), with some dragonflies, spiders 
and beetles for good measure, but has no idea how to go about this.  It has 
been suggested that details posted here may bring some help.

The collection consists of specimens collected world-wide by her father in the 
early seventies (1972-6 mostly), each one labelled with full details, and 
contained in thirty glass-topped trays, ten of them in a purpose-built 
cabinet.  There are also some specimens still in packets and cotton-wool.

Is anyone interested, or could you help her to get a valuation or find a 
potential customer?

If anyone can help, you can e-mail me, [email-masked], or phone 
the lady direct (evenings).  She is Penny Taylor on Oxford (01865) 749309.

Many thanks.